QGIS Application - Bug report #21562
opening filesystem dialogs very slow on MacOS
2019-03-12 08:44 AM - Gavin Fleming

Status: Feedback
Priority: Normal
Assignee:

Category: mac_os_specific

Affected QGIS version:3.4.5
Operating System: macOS
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 29378

Description

For all 3.x versions to date (and in different user profiles) any action in QGIS that opens a system dialog (e.g. saving or opening any file)
results in a long wait for the dialog to completely render and populate and for the cursor to become responsive again.

Nothing else on the system is slow and it doesn't happen with 2.18 so it's definitely a 3.x phenomenon.

History

#1 - 2019-03-12 10:06 AM - Nyall Dawson
- Status changed from Open to Feedback

Try with the Lutra integrated installer - it doesn't have this issue.

#2 - 2019-03-12 10:28 AM - Giovanni Manghi
- Operating System changed from OSX to macOS
- Category changed from OsX Ul to mac_os_specific

#3 - 2019-03-31 10:28 PM - Garth Fletcher

On Mac OS X 10.12.6 | encounter no delays on File Save or File Open dialogs with QGIS version 3.6.0-Noosa.
